class clean::passwdgroup {
        file {'/.../CUSTOM_PASSWD_GROUP_FILE_CONFIG':
                ensure => "directory",
        } ->
        concat { '/.../CUSTOM_PASSWD_GROUP_FILE_CONFIG/passwd.group.remove.script':
                ensure => present,
                mode => 700,
        } 
	concat { '/.../CUSTOM_PASSWD_GROUP_FILE_CONFIG/passwd.group.file.edit.data':
                ensure => present,
                mode => 400,
        }  
        concat::fragment { 'PASSWD_GROUP_FILE_CLEANUP':
                target => '/.../CUSTOM_PASSWD_GROUP_FILE_CONFIG/passwd.group.remove.script',
                content => template('passwd_group_remove_script.erb'),
        } ~>
	concat::fragment { 'PASSWD_GROUP_FILE_DATA':
                target => '/.../CUSTOM_PASSWD_GROUP_FILE_CONFIG/passwd.group.file.edit.data',
                content => template('passwd_group_file_edit_data.erb'),
        } ~> 
        exec { 'clean_passwd_group_files':
                command => "/.../CUSTOM_PASSWD_GROUP_FILE_CONFIG/passwd.group.remove.script passwd.group.file.edit.data",
		creates => "/.../CUSTOM_PASSWD_GROUP_FILE_CONFIG/passwd.group.remove.script",
        }
}
